/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.runtime.development.host;

import java.io.File;
import java.net.URL;

import org.fabric3.host.runtime.HostInfo;

/**
 * HostInfo type for the development runtime
 *
 * @version $Rev: 1623 $ $Date: 2007-10-29 14:56:38 +0000 (Mon, 29 Oct 2007) $
 */
public interface DevelopmentHostInfo extends HostInfo {

    /**
     * Returns the runtime extensions directory.
     *
     * @return the runtime extensions directory
     */
    File getExtensionsDirectory();

    /**
     * Returns the location of the baseline intents.
     *
     * @return the location of the baseline intents
     */
    URL getIntentsLocation();
}
